Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time
Class JodaTimePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.joda.time.JodaTimePermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public class JodaTimePermission

extends java.security.BasicPermission

JodaTimePermission is used for securing global method calls in the Joda-Time library. Since this class extends BasicPermission, asterisks may be used to denote wildcard permissions. The following permissions are supported:

     DateTimeZone
       .setDefault                 Allows a default DateTimeZone to be set
       .setProvider                Allows the DateTimeZone instance provider to be set
       .setNameProvider            Allows the DateTimeZone name provider to be set

     ConverterManager
       .alterInstantConverters     Allows an instant converter to be added or removed
       .alterPartialConverters     Allows a partial converter to be added or removed
       .alterDurationConverters    Allows a duration converter to be added or removed
       .alterPeriodConverters      Allows a period converter to be added or removed
       .alterIntervalConverters    Allows an interval converter to be added or removed

     CurrentTime.setProvider       Allows the current time provider to be set

JodaTimePermission is thread-safe and immutable.

Since:
  1.0
Author:
  Brian S O'Neill
See Also:
  Serialized Form

Constructor Summary
`JodaTimePermission(java.lang.String name)` Constructs a new permission object.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JodaTimePermission

    public JodaTimePermission(java.lang.String name)

  Constructs a new permission object.

  Parameters:
    `name` - the permission name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD